com.jogamp.newt.event

## Class GestureHandler.GestureEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jogamp.newt.event.NEWTEvent
    - - com.jogamp.newt.event.InputEvent
      - - com.jogamp.newt.event.GestureHandler.GestureEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    PinchToZoomGesture.ZoomEvent
  Enclosing interface:
    GestureHandler

      public static class GestureHandler.GestureEvent
      extends InputEvent

  A custom gesture event
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.jogamp.newt.event.InputEvent

      `InputEvent.InputClass, InputEvent.InputType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `EVENT_GESTURE_DETECTED` A gesture has been detected.

    - ### Fields inherited from class com.jogamp.newt.event.InputEvent

      `ALT_GRAPH_MASK, ALT_MASK, AUTOREPEAT_MASK, BUTTON1_MASK, BUTTON2_MASK, BUTTON3_MASK, BUTTON4_MASK, BUTTON5_MASK, BUTTON6_MASK, BUTTON7_MASK, BUTTON8_MASK, BUTTON9_MASK, BUTTONALL_MASK, BUTTONLAST_MASK, CONFINED_MASK, CTRL_MASK, INVISIBLE_MASK, META_MASK, SHIFT_MASK`

    - ### Fields inherited from class com.jogamp.newt.event.NEWTEvent

      `consumedTag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GestureHandler.GestureEvent(Object source, long when, int modifiers, GestureHandler handler, InputEvent trigger)` Creates a gesture event with default type `EVENT_GESTURE_DETECTED`.
    `GestureHandler.GestureEvent(short event_type, Object source, long when, int modifiers, GestureHandler handler, InputEvent trigger)` Creates a gesture event with custom event_type !

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GestureHandler` | `getHandler()` Return the `GestureHandler`, which produced the event.
    `InputEvent` | `getTrigger()` Triggering `InputEvent`
    `String` | `toString()`

    - ### Methods inherited from class com.jogamp.newt.event.InputEvent

      `getButtonDownCount, getButtonMask, getButtonsDown, getModifiers, getModifiersString, isAltDown, isAltGraphDown, isAnyButtonDown, isAutoRepeat, isButtonDown, isConfined, isControlDown, isInvisible, isMetaDown, isShiftDown, toString`

    - ### Methods inherited from class com.jogamp.newt.event.NEWTEvent

      `getAttachment, getEventType, getWhen, isConsumed, setAttachment, setConsumed, toHexString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_GESTURE_DETECTED

          public static final short EVENT_GESTURE_DETECTED

      A gesture has been detected.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### GestureHandler.GestureEvent

          public GestureHandler.GestureEvent(Object source,
                                     long when,
                                     int modifiers,
                                     GestureHandler handler,
                                     InputEvent trigger)

      Creates a gesture event with default type `EVENT_GESTURE_DETECTED`.
      Parameters:
        `source` -
        `when` -
        `modifiers` -
        `handler` -
        `trigger` - TODO

    - #### GestureHandler.GestureEvent

          public GestureHandler.GestureEvent(short event_type,
                                     Object source,
                                     long when,
                                     int modifiers,
                                     GestureHandler handler,
                                     InputEvent trigger)

      Creates a gesture event with custom event_type !
      Parameters:
        `event_type` - must lie within [400..599]
        `source` -
        `when` -
        `modifiers` -
        `handler` -
        `trigger` - TODO

  - ### Method Detail

    - #### getHandler

          public final GestureHandler getHandler()

      Return the `GestureHandler`, which produced the event.

    - #### getTrigger

          public final InputEvent getTrigger()

      Triggering `InputEvent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `InputEvent`

Copyright 2010 JogAmp Community.